package com.tmerclub.cloud.search.canal.support.parser;

import com.tmerclub.cloud.search.canal.model.ModelTable;

import java.util.Map;

/**
 * @author throwable
 * @version v1
 * @description
 * @since 2020/9/24 0:53
 */
public class ModelTableMetadata {

    private ModelTable modelTable;

    /**
     * fieldName -> ColumnMetadata
     */
    private Map<String, ColumnMetadata> fieldColumnMapping;

    public ModelTable getModelTable() {
        return modelTable;
    }

    public void setModelTable(ModelTable modelTable) {
        this.modelTable = modelTable;
    }

    public Map<String, ColumnMetadata> getFieldColumnMapping() {
        return fieldColumnMapping;
    }

    public void setFieldColumnMapping(Map<String, ColumnMetadata> fieldColumnMapping) {
        this.fieldColumnMapping = fieldColumnMapping;
    }

    @Override
    public String toString() {
        return "ModelTableMetadata{" +
                "modelTable=" + modelTable +
                ", fieldColumnMapping=" + fieldColumnMapping +
                '}';
    }
}
